List Batch Sessions
curl --request GET \
--url https://api.anchorbrowser.io/v1/batch-sessions \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/batch-sessions"
headers = {"anchor-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/batch-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"batches": [
{
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_requests": 123,
"completed_requests": 123,
"failed_requests": 123,
"created_at": "2023-11-07T05:31:56Z",
"actual_completion_time": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 123,
"total_pages": 123,
"total_records": 123,
"has_next": true,
"has_prev": true
}
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Batch Sessions
List Batch Sessions
Lists all batch session requests for the authenticated team, with optional filtering by status and pagination support.
GET
/
v1
/
batch-sessions
List Batch Sessions
Authorizations
API key passed in the header
Query Parameters
Filter batches by status
Available options:
pending, processing, completed, failed, cancelled Page number (1-based)
Required range:
x >= 1Number of results per page
Required range:
1 <= x <= 100Filter batches created after this timestamp (ISO 8601)
Filter batches created before this timestamp (ISO 8601)
Response
Batch list retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

